HttpFSFileSystem.FILE_TYPE (Apache Hadoop HttpFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.http.client, class: HttpFSFileSystem, enum: FILE_TYPE

Package org.apache.hadoop.fs.http.client

# Enum Class HttpFSFileSystem.FILE_TYPE

java.lang.Object
java.lang.Enum<HttpFSFileSystem.FILE_TYPE>
org.apache.hadoop.fs.http.client.HttpFSFileSystem.FILE_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpFSFileSystem.FILE_TYPE>`, `Constable`

Enclosing class:
  HttpFSFileSystem

public static enum HttpFSFileSystem.FILE_TYPE extends Enum<HttpFSFileSystem.FILE_TYPE>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORY`
  `FILE`
  `SYMLINK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HttpFSFileSystem.FILE_TYPE`
  `getType(org.apache.hadoop.fs.FileStatus fileStatus)`
  `static HttpFSFileSystem.FILE_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HttpFSFileSystem.FILE_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final HttpFSFileSystem.FILE_TYPE FILE

  - ### DIRECTORY

    public static final HttpFSFileSystem.FILE_TYPE DIRECTORY

  - ### SYMLINK

    public static final HttpFSFileSystem.FILE_TYPE SYMLINK

- ## Method Details

  - ### values

    public static HttpFSFileSystem.FILE_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HttpFSFileSystem.FILE_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public static HttpFSFileSystem.FILE_TYPE getType(org.apache.hadoop.fs.FileStatus fileStatus)